Subject: Re: sendfile() behavior while troubleshooting netdevice

From: "J. K. Cliburn" <[email-masked]>
Date: Tue, 29 Jul 2008 08:32:34 -0500

Evgeniy Polyakov wrote:
> Hi Jay.
> 
> On Mon, Jul 28, 2008 at 07:07:07PM -0500, Jay Cliburn ([email-masked]) wrote:
>> sendfile() + TSO + atl1 driver == corrupted file at the receiver
> 
> ...
> 
>> The hosts:
>> server, petrel,  r8169, 192.168.1.6,   2.6.20-1.2320.fc5
>> client, sparrow, e100,  192.168.1.195, 2.6.25.6-27.fc8
> 
> ...
> 
>> [jcliburn@sparrow ~]$ ./sfcli 192.168.1.6 testfile
>> connected...
>> file size is 1600 bytes
>> received 1592 bytes
>> error: expected 1600, received 1592
> 
> I.e. trouble also happens with r8169 driver?
> 

I think you may be right, Evgeniy.  I thought I had tested things using 
e100 as the server side, but apparently I didn't.  If I run the server 
from the e100 host, it works flawlessly every time.  (But of course, the 
NIC doesn't support TSO, either.)

More testing tonight...

Thanks.